{{ define "results" }}

  {{ template "header" . }}

    <div class="container">
      <div class="col-sm-12">
        {{ if .msg }}
          <p class="text-success">{{ .msg }}</p>
        {{ else if .error }}
          <p class="text-danger">Error: {{ .error }}</p>
        {{ end }}

        {{ if .headers}}
           <h5>Site Headers</h5>
           <table class="table table-striped">
             <colgroup>
               <col class="col-sm-4" style="width: 25%;">
               <col class="col-sm-7" style="width: 75%;">
             </colgroup>
             <tbody>
               {{ range $k, $v := .headers }}
               <tr>
                   <th>{{ $k }}</th>
                   <td>{{ join $v ";"}}</td>
               </tr>
               {{ end }}
             </tbody>
           </table>
        {{ end }}
      </div>
    </div>

  {{ template "footer" . }}
{{ end }}
